DCMTK - Bug #380

(Possibly) problematic warnings (gcc 2.95.3)
Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmdata & Co. Compiler:

Operating System:

Description

... reported from gcc 2.95.3 / HP-UX and IRIX 6 during the cross platform testing phase

c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -I. -I../incl ude -I../../config/include -I../../ofstd/include
-I../../oflog/include \ -O -D_REENTRANT -Wall dcelem.cc dcelem.cc: In method “class OFCondition
DcmElement::read(DemlinputStream &, E_Tra nsferSyntax, E_GrpLenEncoding = EGL_noChange, long unsigned int =
DCM_MaxReadLen gth)": dcelem.cc:1025: warning: comparison between signed and unsigned dcelem.cc: In method “class
OFCondition DcmElement::write(DcmOutputStream &, E_T ransferSyntax, E_EncodingType, DcmWriteCache *)': dcelem.cc:1165:
warning: comparison between signed and unsigned dcelem.cc:1166: warning: comparison between signed and unsigned dcelem.cc:
In method “class OFCondition DcmElement::getPartialValue(void *, long unsigned int, long unsigned int, DcmFileCache * = 0,
E_ByteOrder = gLocalByteOr der)": dcelem.cc:1490: warning: comparison between signed and unsigned c++ -DHAVE_CONFIG_H
-DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -I. -I../incl ude -I../../config/include -I../../ofstd/include -I../../oflog/include \ -O
-D_REENTRANT -Wall dcitem.cc dcitem.cc: In method “class OFCondition Dcmltem::readTagAndLength(DcminputStream &,
E_TransferSyntax, DcmTag &, Uint32 &, Uint32 &)": dcitem.cc:862: warning: comparison between signed and unsigned
dcitem.cc:955: warning: comparison between signed and unsigned dcitem.cc:1009: warning: comparison between signed and
unsigned c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -I. -1../incl ude -l../../config/include
-I../../ofstd/include -I../../oflog/include \ -O -D_REENTRANT -Wall dcsequen.cc dcsequen.cc: In method “class OFCondition
DcmSequenceOfltems::write(DcmOutputStr eam &, E_TransferSyntax, E_EncodingType, DcmWriteCache *)': dcsequen.cc:624:
warning: comparison between signed and unsigned dcsequen.cc:625: warning: comparison between signed and unsigned
dcsequen.cc: In method “class OFCondition DemSequenceOfltems::writeSignatureForm at(DcmOutputStream &, E_TransferSyntax,
E_EncodingType, DcmWriteCache *)': dcsequen.cc:748: warning: comparison between signed and unsigned dcsequen.cc:749:
warning: comparison between signed and unsigned c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I.
-I. -1../incl ude -1../../config/include -I../../dcmnet/include -I../../dcmdata/include -I../. ./ofstd/include -I../../oflog/include \ -O
-D_REENTRANT -Wall dcmgrdbi.cc dcmgrdbi.cc: In method “class OFCondition DcmQueryRetrievelndexDatabaseHandle::s
tartFindRequest(const char *, DcmDataset *, DcmQueryRetrieveDatabaseStatus *)': dcmqgrdbi.cc:1864: warning: control reaches end
of non-void function "DcmQueryRet rievelndexDatabaseHandle::startFindRequest(const char *, DcmDataset *, DcmQueryR
etrieveDatabaseStatus *)' decmgrdbi.cc: In method “class OFCondition DcmQueryRetrievelndexDatabaseHandle::s
tartMoveRequest(const char *, DcmDataset *, DcmQueryRetrieveDatabaseStatus *)': dcmgrdbi.cc:2456: warning: control reaches
end of non-void function "DecmQueryRet rievelndexDatabaseHandle::startMoveRequest(const char *, DcmDataset *, DcmQueryR
etrieveDatabaseStatus *)'

More warnings in other modules like 'dcmnet' ...

History

#1 - 2013-04-28 22:48 - Andrew Chiw

- Subject changed from Méglicherweise problematische Warnings (gcc 2.95.3) to Problematic warnings (gcc 2.95.3)

#2 - 2013-05-06 15:27 - Michael Onken
- Subject changed from Problematic warnings (gcc 2.95.3) to (Possibly) problematic warnings (gcc 2.95.3)

#3 - 2017-01-27 13:44 - Jorg Riesmeier

- Status changed from New to Closed

Not relevant anymore since the compiler (gcc 2.95.3) is more than 15 years old and the warnings, if still problematic, should also be reported by the
other (supported) compilers.
